# frozen_string_literal: true

require_relative '_common'

module GitlabCiRunner
  module Cookbook
    # General cookbook helpers
    module Helpers
      include GitlabCiRunner::CommonHelpers

      def repo_url_base
        'https://packages.gitlab.com/runner/gitlab-runner'
      end

      def repo_url
        case node['platform_family']
        when 'rhel', 'amazon'
          "#{repo_url_base}/el/#{node['platform_version'].to_i}/$basearch"
        when 'fedora'
          "#{repo_url_base}/fedora/#{node['platform_version'].to_i}/$basearch"
        when 'debian'
          "#{repo_url_base}/#{node['platform']}"
        else
          raise_error(
            "#{node['platform_family']} is an unsupported platform family."
          )
        end
      end

      def repo_gpg_url
        'https://packages.gitlab.com/gpg.key'
      end
    end
  end
end
